%global gitrev 40c5bf988

Name:           xchat-gnome
Version:        0.26.2
Release:        20.git%{gitrev}%{?dist}
Summary:        GNOME front-end to xchat

Group:          Applications/Internet
License:        GPLv2+
URL:            http://live.gnome.org/Xchat-Gnome
# Generated from git, tarball wasn't released.
# To generate:
# git clone git://git.gnome.org/xchat-gnome
# git archive --format=tar --prefix=xchat-gnome-0.26.2/ XCHAT_GNOME_0_26_2 > xchat-gnome-0.26.2-%{gitrev}.ta
# bzip2 xchat-gnome-0.26.2-%{gitrev}.tar
Source0:        %{name}-%{version}-%{gitrev}.tar.bz2
# Patch specific to Fedora to use .xchat-gnome, instead of .xchat2
Patch0:		xchat-gnome-0.23.92-config.patch
# Patch for libnotify 0.70 (just drop one parameter from one function)
Patch1:		xchat-gnome-0.26.1-libnotify.patch
# Fix build (#839623)
Patch3:		build.patch
# Patch to work with recent NetworkManager (0.7+)
Patch10:        xchat-gnome-0.26.1-recent-network-manager.patch
# Convert deprecated GDK functions to cairo
Patch13:        xchat-gnome-0.26.1-remove-deprecated-api.patch
# xchat-gnome-0.26.2-perl-plugin-function-prototype.patch
Patch14:	xchat-gnome-0.26.2-perl-plugin-function-prototype.patch
# Clean up warnings
Patch100:	0001-Dont-attempt-to-render-a-nonexistent-string.patch
# Fix potential plugin crashers
Patch101:	0002-Plugin_GetCurrent-can-return-NULL.patch
# Don't crash on 32bpp depth
Patch102:	0003-Ensure-pixmap-depth-matches-screen-window-depth.patch
# free(foo); g_slist_remove(list, foo); is bad practice, mmmkay?
Patch103:	0004-Call-g_slist_remove-on-items-before-free-not-after.patch
# Don't iterate over an empty hash
Patch104:	0001-Fix-crash-on-NULL-networks-hash-table.patch
# Fix czech translation that breaks /me messages (<vondruch@redhat.com>)
Patch105: 0001-Fix-ME-messages-in-czech-translation.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=1091544
Patch106: 0001-Don-t-force-the-use-of-SSLv3.patch

BuildRequires:	openssl-devel
Buildrequires:	libsexy-devel >= 0.1.11
BuildRequires:	libnotify-devel
BuildRequires:	glib2-devel >= 2.18.0
BuildRequires:	gtk2-devel >= 2.14.0
BuildRequires:	libcanberra-devel
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:  gettext
BuildRequires:	perl-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	perl(ExtUtils::Embed)
BuildRequires:	gnome-doc-utils
BuildRequires:	GConf2-devel
BuildRequires:	libglade2-devel
BuildRequires:  libSM-devel
BuildRequires:	libtool autoconf automake gnome-common

Requires: 	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2


%description
xchat-gnome is a new frontend for the popular X-Chat IRC client.  GNOME's
philosophy in terms of user interfaces has been progressing towards
presenting the user with few options, yet sane defaults. While many of the
normal X-Chat options will be preserved inside GConf, only the most
common settings will be included in the main user interface. .


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .config
%patch1 -p1 -b .notify
%patch3 -p1 -b .build
%patch10 -p1 -b .recent-nm
%patch13 -p1 -b .gdk-deprecations
%patch14 -p1 -b .xchat-plugin
%patch100 -p1 -b .empty
%patch101 -p1 -b .nullplugin
%patch102 -p1 -b .depth
%patch103 -p1 -b .free
%patch104 -p1 -b .hash
%patch105 -p1
%patch106 -p1 -b .allow-tls

%build
./autogen.sh
%configure --disable-tcl		\
	   --disable-scrollkeeper	\
	   --disable-schemas-install	\
	   --disable-maintainer-mode	\
	   --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{name}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

desktop-file-install --delete-original	\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%pre
%gconf_schema_prepare apps_xchat notification urlscraper url_handler


%post
%gconf_schema_upgrade apps_xchat notification urlscraper url_handler
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%preun
%gconf_schema_remove apps_xchat notification urlscraper url_handler


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%doc COPYING AUTHORS
%doc plugins/perl/xchat2-perldocs.html
%{_bindir}/%{name}
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/omf/%{name}/
%{_datadir}/gnome/help/%{name}/
%{_datadir}/dbus-1/services/org.gnome.Xchat.service
%{_mandir}/man1/%{name}.1.gz
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/plugins/


%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26.2-20.git40c5bf988
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.26.2-19.git40c5bf988
- Perl 5.22 rebuild

* Wed Oct 29 2014 Debarshi Ray <rishi@fedoraproject.org> - 0.26.2-18.git40c5bf988
- Do not force SSLv3, also allow TLSv1_X (#1091544)

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.26.2-17.git40c5bf988
- Perl 5.20 rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26.2-16.git40c5bf988
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26.2-15.git40c5bf988
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26.2-14.git40c5bf988
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 0.26.2-13.git40c5bf988
- Perl 5.18 rebuild

* Wed Apr 03 2013 Kalev Lember <kalevlember@gmail.com> - 0.26.2-12.git40c5bf988
- Drop the desktop file name patch now that the vendor prefix is gone
- Remove the scrollkeeper runtime dep

* Mon Feb 11 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 0.26.2-11.git40c5bf988
- Fix missing function prototype compilation error for perl.c 
 
* Mon Feb 11 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 0.26.2-10.git40c5bf988
- Remove vendor tag from desktop file as per https://fedorahosted.org/fesco/ticket/1077
- Cleanup spec as per recently changed packaging guidelines

* Thu Sep 27 2012 Bill Nottingham <notting@redhat.com> - 0.26.2-9.git40c5bf988
- fix czech translation that broke /me messages (#789365, <vondruch@redhat.com>)

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26.2-8.git40c5bf988
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Petr Pisar <ppisar@redhat.com> - 0.26.2-7.git40c5bf988
- Perl 5.16 rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26.2-6.git40c5bf988
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.26.2-5.git40c5bf988
- Rebuild for new libpng

* Tue Oct 04 2011 Bill Nottingham <notting@redhat.com> 0.26.2-4.git40c5bf988
- don't iterate over an empty hash table (#742868, <jklimes@redhat.com>)

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 0.26.2-3.git40c5bf988
- Perl mass rebuild

* Fri Jun 17 2011 Bill Nottingham <notting@redhat.com> - 0.26.2-2
- fix crash on 32bpp depths with background images (#712626)
- clean up some Gdk-CRITICAL messages
- fix crash on exit in plugin code and elsewhere (#693122)

* Thu Apr 07 2011 Bill Nottingham <notting@redhat.com> - 0.26.2-1
- update to 0.26.2 (fixes #660840)

* Fri Mar 25 2011 Dan Williams <dcbw@redhat.com> - 0.26.1-17
- Update for NetworkManager 0.9 (#437645)
- Update for recent GTK/GNOME API changes

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 08 2010 Adam Williamson <awilliam@redhat.com> - 0.26.1-15
- add libnotify.patch for new libnotify

* Sat Jul 31 2010 Adam Williamson <awilliam@redhat.com> - 0.26.1-14
- Add deprecated-symbol.patch - upstream commit 
  8d35b36baa8204b68c9520ec92327e34c1d7c580 - to fix FTBFS

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 0.26.1-13
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jun 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.26.1-12
- Mass rebuild with perl-5.12.0

* Sun Apr 25 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.26.1-11
- Remove clean section. No longer needed.
- Update scriptlets for gconf macros.

* Sun Mar 28 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.26.1-10
- Add patch for depreciated gtk macros.
- Add patch to fix auto-accept dcc transfers.
- Add patch for FreeNode port numbers.

* Sun Mar  7 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.26.1-9
- Add patch to fix DSOLinking. (#564820)

* Mon Jan 18 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.26.1-8
- Add patch to fix regression with bing unable to set status 'back'.

* Wed Jan 13 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.26.1-7
- Add patch to fix crash. (#550662)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.26.1-6
- rebuild against perl 5.10.1

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.26.1-5
- rebuilt with new openssl

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 19 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.26.1-3
- Fix topic patch.

* Sun May 10 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.26.1-2
- Add patch to fix topic entry bug. (#483839)

* Sat Apr 18 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.26.1-1
- Update to 0.26.1.

* Tue Mar 31 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.26.0-1
- Update to 0.26.0.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.24.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 29 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.24.3.1-1
- Update to 0.24.3.1.

* Sun Jan 18 2009 Tomas Mraz <tmraz@redhat.com> - 0.24.1-3
- rebuild with new openssl

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.24.1-2
- Rebuild for Python 2.6

* Fri Nov 14 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.24.1-1
- Update to 0.24.1.
- Update Source URL.

* Tue Sep 23 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.24.0-1
- Update to 0.24.0.
- Drop deps patch.  Fixed upstream.

* Tue Sep  9 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.23.92-1
- Update to 0.23.92.
- Add deps patch to correctly set libnotify & libcanberra options.
- Update BR.
- Drop reconnect patch.  Fixed upstream.
- Drop away-command patch.  Fixed upstream.
- Drop spell-checking patch.  Fixed upstream.
- Drop it-translation patch.  Fixed upstream.

* Thu Mar 27 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.18-12
- Add patch to fix italian translation bug. (#431133)

* Tue Mar 25 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.18-11
- Add patch to fix spell-checking language selection. (#427067)
- Add BR on perl-devel & perl(ExtUtils::Embed)to actually build the perl plugin.

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.18-10
- Rebuild for new perl

* Tue Feb 12 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.18-9
- Updated away/back patch. (#430883)

* Wed Jan 30 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.18-8
- Rebuild.

* Wed Dec  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.18-7
- rebuild for new libssl.so.6/libcrypto.so.6

* Sat Nov 17 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.18-6
- Add patch to fix away/back command.

* Thu Sep 13 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.18-5
- Add patch to fix reconnect bug. (#225408)

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.18-4
- Rebuild.

* Thu Aug  2 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.18-3
- Update license tag.

* Mon Jul  9 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.18-2
- Drop requires on python, since dep on python-libs will be pulled in.

* Mon Jul  9 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.18-1
- Update to 0.18.
- Drop static patch, fixed upstream.
- Drop setup-dialog patch, fixed upstream.
- Drop gettext patch.
- Update config patch.

* Sun Jun 10 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.17-7
- Drop requires on yelp.

* Sat Jun  9 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.17-6
- Add requires on yelp. (#243417)

* Mon May 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.17-5
- Add gettext patch so we don't print translation information when open a query window.

* Mon Apr 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.17-4
- Add patch to fix setup-dialog. (#236636)

* Tue Apr  3 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.17-3
- Add patch to fix crasher. (#235144).

* Mon Apr  2 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.17-2
- D'Oh!  Forgot to add the new config patch.

* Mon Apr  2 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.17-1
- Update to 0.17 (bugfix release).
- Update the config patch.
- libsexy-devel to be at least 0.1.11.

* Tue Jan 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.16-2
- Drop conditional statement for libnotify.
- Remove BR on dbus-devel, since libnotify-devel will pull this in.

* Wed Jan 10 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.16-1
- Update to 0.16.
- Move themeable app icon to correct directory.

* Fri Dec  8 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.15-2
- Rebuild for new python.

* Sun Oct 29 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.15-1
- Update to 0.15.
- Add new icons.

* Thu Oct 26 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.14-1
- Update to 0.14.
- Remove xchat-gnome-remote.
- Drop X-Fedora desktop category.
- Use disable-schemas-install & disable-static with configure.

* Thu Aug 31 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.13-4
- Add BR for perl(XML::Parser).

* Thu Aug 31 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.13-3
- Update for FC6.

* Wed Jul 26 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.13-2
- Update to 0.13.

* Tue Jun 20 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.12-2
- Update to 0.12.

* Sat May 20 2006 Brian Pepple <bdpepple@ameritech.net> - 0.11-3
- Drop patch for libnotify.

* Tue Apr  4 2006 Brian Pepple <bdpepple@ameritech.net> - 0.11-2
- Update to 0.11
- Drop screensaver patch.
- Add scriptlet for gtk+ icon cache.

* Sun Mar 19 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10-5
- Rebuild for libsexy-0.1.8.

* Thu Mar 16 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10-4
- Rebuild for new libsexy.

* Sat Feb 25 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10-3
- Add libnotify patch to work with 0.3.0 api.

* Fri Feb 24 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10-2
- Add patch to use correct gnome-screensaver dbus object.
- Drop killall gconfd-2 calls in scriptlets.

* Fri Feb 24 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10-1
- Update to 0.10.
- Add -disable-scrollkeeprer to config.
- Add BR for gnome-doc-utils.
- Disable libnotify plugin, until libnotify is updated in Rawhide.

* Wed Feb 15 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-6
- Drop unnecessary BR (libSM-devel & libglade2-devel).

* Mon Feb 13 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-5
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Feb  7 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-4
- Rebuild due to new libsexy.

* Mon Jan 23 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-3
- Bump.

* Sat Jan 21 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-2
- Add xchat_gnome_url_handler.schemas to scriptlet.

* Fri Jan 20 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-1
- Update to 0.9.
- Add BR for libnotify-devel.
- Drop certificates patch.

* Fri Dec 30 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-2
- add patch for self-signed certificate acceptance. (#174591)

* Tue Dec 20 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-1
- Udate to 0.8.

* Sun Dec 18 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-01.rc2
- Update to 0.8rc2.

* Thu Dec 15 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-01.rc1
- Update to 0.8rc1.
- Drop documentation removed from upstream tarball.
- Drop depreciated config options.
- Enable dbus support.
- Drop 323944 patch, since it's been applied upstream.
- Drop datadir patch, since it's been applied upstream.

* Wed Dec 14 2005 Brian Pepple <bdpepple@ameritech.net> - 0.7-4
- Add patch to fix #175751. 

* Wed Nov 30 2005 Brian Pepple <bdpepple@ameritech.net> - 0.7-3
- Disable dbus support, until FE Bug #174592 is fixed.

* Mon Nov 21 2005 Brian Pepple <bdpepple@ameritech.net> - 0.7-2
- Update to 0.7.
- Add BR for libSM-devel.
- Disable libnotify support, until it's available in Rawhide.
- Add help files & scrollkeeper scriptlets.
- Add BR & requires for scrollkeeper.

* Sat Nov 12 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-7
- Bump

* Sat Nov 12 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-6
- Bump release for upgrade path from FC-4.

* Sat Nov 12 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-5
- Add test for release version to determine if dbus is enabled.
- Add dist tag.

* Sat Nov 12 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-4
- Remove obsoletes xchat.
- Add patch to change datadir location.
- Add patch to change config dir.

* Thu Nov 10 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-3
- Add xchat-remote to files, and re-add dbus config flag.

* Thu Nov 10 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-2
- Merge some items from Bastien Nocera's spec file (#172873).
- Add configure option to enable ipv6 & shm tinting support.
- Simplify schemas installation.

* Tue Oct 25 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-1
- Initial Fedora Extras spec file.

